Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository
Class ChangeLogEntry

    java.lang.Object
      com.atlassian.bamboo.repository.ChangeLogEntry

    public class ChangeLogEntry

extends Object

This class is a POJO containing information about the latest repository changes

Field Summary
`static String` | `UNKNOWN`

Constructor Summary
`ChangeLogEntry()`
`ChangeLogEntry(String author, String comment, List changedFiles, Date data)`

Method Summary
`void` | `addFile(ChangeLogFile file)` Associate a file with this change log.
`boolean` | `equals(Object o)` Default Intellij generated equality
`String` | `getAuthor()` Who made the change?
`List` | `getChangedFiles()` Obtain the collection of `ChangeLogFile`s associated with this change.
`String` | `getComment()` What was the annotation associated with this change?
`Date` | `getDate()` What was the date of this change?
`int` | `hashCode()` Default Intellij generated hash
`void` | `setAuthor(String author)` Specify the author of this change
`void` | `setComment(String comment)` Specify the change comment
`void` | `setDate(Date date)` Specify the date of the change
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final String UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### ChangeLogEntry

    public ChangeLogEntry()

### ChangeLogEntry

    public ChangeLogEntry(String author,
                          String comment,
                          List changedFiles,
                          Date data)

Method Detail

### getDate

    public Date getDate()

  What was the date of this change?

  Returns:
    The date

### setDate

    public void setDate(Date date)

  Specify the date of the change

  Parameters:
    `date` - The date

### getAuthor

    public String getAuthor()

  Who made the change?

  Returns:
    The author

### setAuthor

    public void setAuthor(String author)

  Specify the author of this change

  Parameters:
    `author` - The author

### getComment

    public String getComment()

  What was the annotation associated with this change?

  Returns:
    the comment

### setComment

    public void setComment(String comment)

  Specify the change comment

  Parameters:
    `comment` - The comment

### getChangedFiles

    public List getChangedFiles()

  Obtain the collection of `ChangeLogFile`s associated with this change.

  Returns:
    The files

### addFile

    public void addFile(ChangeLogFile file)

  Associate a file with this change log.

  Parameters:
    `file` - a file

### equals

    public boolean equals(Object o)

  Default Intellij generated equality

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Default Intellij generated hash

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.